package com.zjrs.appcomm.template.word.builder;

import org.apache.poi.xwpf.usermodel.XWPFDocument;

public class ExportDefinition<E> {
	
	public static <E> ExportBuilder<E> builder(Class<E> dataClass) {
		return new ExportBuilder<>(dataClass);
	}
	public ExportDefinition(Class<E> dataClass) {
		setDataClass(dataClass);
	}
	
	private Class<E> dataClass;
	public Class<E> getDataClass() { return dataClass; }
	public void setDataClass(Class<E> dataClass) { this.dataClass = dataClass; }
	
	/** 数据 */
	private E data;
	public E getData() { return data; }
	public void setData(E data) { this.data = data; }

	/** docx对象 */
	private XWPFDocument document;
	public XWPFDocument getDocument() { return document; }
	public void setDocument(XWPFDocument document) { this.document = document; }
	
}
